﻿using System;
using System.Windows.Forms;

using Steema.TeeChart.Functions;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 캔들 시리즈
        /// </summary>
        private Candle candle = new Candle();

        /// <summary>
        /// 라인 시리즈
        /// </summary>
        private Line line = new Line();

        /// <summary>
        /// 볼륨 시리즈
        /// </summary>
        private Volume volume = new Volume();

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Area area = new Area(this.tChart.Chart);

            area.Smoothed = true;

            area.FillSampleValues();

            Line line = new Line(this.tChart.Chart);

            line.Function      = new KurtosisFunction(this.tChart.Chart);
            line.DataSource    = area;
            line.LinePen.Width = 4;
            line.VertAxis      = VerticalAxis.Right;

            this.refreshButton.Click += refreshButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 갱신하기 버튼 클릭시 처리하기 - refreshButton_Click(sender, e)

        /// <summary>
        /// 갱신하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void refreshButton_Click(object sender, EventArgs e)
        {
            this.tChart[0].FillSampleValues();
        }

        #endregion
    }
}